Skip to content

WebAPI.Host (3.0)

Download OpenAPI description
Languages
Servers
Mock server

https://{{your_venus_webapi_ip_address}}/

Cameras

Operations

Devices

Operations

ErrorHandler

Operations

Files

Operations

InstrumentData

Operations

RunExecutor

Operations

System

Operations

Gets the Authentication-Mode

Request

Security
Bearer
curl -i -X GET \
  'https://{{your_venus_webapi_ip_address}}/api/vector/v3/system/authentication-mode' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Success

Body
string
Response
"string"

Gets the default Vector file paths.

Request

Security
Bearer
curl -i -X GET \
  'https://{{your_venus_webapi_ip_address}}/api/vector/v3/system/paths' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Returns a set of vector paths.

Body
pathsobject(Dictionary<String,String>)read-only
Response
{ "paths": { "property1": "string", "property2": "string" } }

Gets the default Vector file paths.

Request

Security
Bearer
curl -i -X HEAD \
  'https://{{your_venus_webapi_ip_address}}/api/vector/v3/system/paths' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Returns a set of vector paths.

Body
pathsobject(Dictionary<String,String>)read-only
Response
{ "paths": { "property1": "string", "property2": "string" } }

Gets the universal VENUS version.

Request

Security
Bearer
curl -i -X GET \
  'https://{{your_venus_webapi_ip_address}}/api/vector/v3/system/venus/version' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Returns VENUS version information.

Bodyapplication/json; x-api-version=3.0
universalVersionstring
ivdSystembooleanread-only
Response
application/json; x-api-version=3.0
{ "universalVersion": "1.0.0" }

Gets the universal VENUS version.

Request

Security
Bearer
curl -i -X HEAD \
  'https://{{your_venus_webapi_ip_address}}/api/vector/v3/system/venus/version' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Returns VENUS version information.

Body
universalVersionstring
ivdSystembooleanread-only
Response
{ "universalVersion": "string", "ivdSystem": true }

Archives Venus logs located in program data.

Request

Security
Bearer
Body
destinationPathstring
curl -i -X POST \
  'https://{{your_venus_webapi_ip_address}}/api/vector/v3/system/venus/archive' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json; x-api-version=3.0' \
  -d '{
    "destinationPath": "string"
  }'

Responses

Returns VENUS archive information.

Body
archivePathstring
Response
{ "archivePath": "string" }

Sets the run history cache invalid.

Request

Security
Bearer
curl -i -X POST \
  'https://{{your_venus_webapi_ip_address}}/api/vector/v3/system/invalidate-run-history-cache' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Returns 200 Okay

Response
No content

Set Simulation Mode

Request

Security
Bearer
Query
simulationModeboolean
curl -i -X PUT \
  'https://{{your_venus_webapi_ip_address}}/api/vector/v3/system/configuration/simulation?simulationMode=true' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Success

Body
resultbooleanread-only
messagestringread-only
resetRunExecboolean
Response
{ "result": true, "message": "string", "resetRunExec": true }

Get Simulation Mode

Request

Security
Bearer
curl -i -X GET \
  'https://{{your_venus_webapi_ip_address}}/api/vector/v3/system/configuration/simulation' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Success

Body
boolean
Response
true

Users

Operations